#Module-Specific definitions
%define apache_version 2.2.0
%define mod_name mod_authnz_external
%define mod_so %{mod_name}.so

Summary:	An apache authentication DSO using external programs
Name:		%{mod_name}
Version:	3.2.6
Release:	1
Group:		System/Servers
License:	Apache License
URL:		http://www.unixpapa.com/mod_auth_external.html
Source0:	http://mod-auth-external.googlecode.com/files/%{mod_name}-%{version}.tar.gz
Source1:	mod_authnz_external.conf-32
Source2:	mod_authnz_external.conf-64
Source3:	PAM_AUTH_EXTERNAL.READ-ME
Source4:	checker
Source5:	checker_group
Requires(pre):  httpd >= %{apache_version}
Requires:	httpd >= %{apache_version}
BuildRequires:  httpd-devel >= %{apache_version}
Requires:	perl-Authen-PAM
Provides:	mod_auth_external
Obsoletes:	apache-mod_auth_external
buildroot:      /root/rpmbuild/BUILDROOT/

%description
An apache external authentication module - uses PAM.

%ifarch64
BuildArch:      x86_64
%endif
%ifarch32
BuildArch:      i386
%endif

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE1} mod_authnz_external.conf-32
cp %{SOURCE2} mod_authnz_external.conf-64
cp %{SOURCE3} PAM_AUTH_EXTERNAL.READ-ME
cp %{SOURCE4} checker
cp %{SOURCE5} checker_group
chmod 644 AUTHENTICATORS CHANGES INSTALL* README TODO PAM_AUTH_EXTERNAL.READ-ME

%build

%{_sbindir}/apxs -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/httpd/modules
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/httpd/modules/
%ifarch i386
install -m0644 mod_authnz_external.conf-32 %{buildroot}/%{_sysconfdir}/httpd/conf.d/mod_authnz_external.conf
%endif
%ifarch i686
install -m0644 mod_authnz_external.conf-32 %{buildroot}/%{_sysconfdir}/httpd/conf.d/mod_authnz_external.conf
%endif
%ifarch x86_64
install -m0644 mod_authnz_external.conf-64 %{buildroot}/%{_sysconfdir}/httpd/conf.d/mod_authnz_external.conf
%endif

install -d %{buildroot}/root/
install -d %{buildroot}/usr/bin
install -m0644 PAM_AUTH_EXTERNAL.READ-ME %{buildroot}/root/PAM_AUTH_EXTERNAL.READ-ME
install -m0755 checker %{buildroot}/usr/bin/checker
install -m0755 checker_group %{buildroot}/usr/bin/checker_group

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHENTICATORS CHANGES INSTALL* README TODO UPGRADE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_authnz_external.conf
%attr(0755,root,root) %{_libdir}/httpd/modules/%{mod_so}
%attr(0644,root,root) /root/PAM_AUTH_EXTERNAL.READ-ME
%attr(4750,root,apache) /usr/bin/checker
%attr(0755,root,root) /usr/bin/checker_group

%changelog

* Fri Aug 03 2012 Michael Stauber <mstauber@solarspeed.net> 3.2.6-1
- As the original SRPM for mod_authnz_external had been lost, this is a rebuild from scratch.
  It contains the latest sources from upstream for the Apache module, plus the extra files
  /root/PAM_AUTH_EXTERNAL.READ-ME, /usr/bin/checker and /usr/bin/checker_group as initially
  created by Brian N. Smith from NuOnce Networks. However, I extended the checker Perl scripts
  with logging to /var/log/messages to keep a better track of what's going on.
- Included architecture specific build provisions so that the same SRPM works on 5106R, 5107R
  and 5108R.
